Bug 1573601 - godder fails to download from youtube due to typeerror
Summary: godder fails to download from youtube due to typeerror
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpodder
Version: 28
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 18:41 UTC by Andreas Piesk
Modified: 2018-05-11 01:24 UTC (History)
3 users (show)

Fixed In Version: gpodder-3.10.1-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 01:24:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Andreas Piesk 2018-05-01 18:41:53 UTC
Description of problem:

$ gpodder
1525199941.575511 [gpodder.sync] WARNING: Could not find gpod
1525199941.575766 [gpodder.sync] WARNING: Could not find eyed3.mp3
1525199963.552777 [gpodder.download] ERROR: Download failed: cannot use a string pattern on a bytes-like object
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/gpodder/download.py", line 729, in run
    url = youtube.get_real_download_url(self.__episode.url, fmt_ids)
  File "/usr/lib/python3.6/site-packages/gpodder/youtube.py", line 121, in get_real_download_url
    fmt_id_url_map = sorted(find_urls(page), reverse=True)
  File "/usr/lib/python3.6/site-packages/gpodder/youtube.py", line 110, in find_urls
    r4 = re.search('url_encoded_fmt_stream_map=([^&]+)', page)
  File "/usr/lib64/python3.6/re.py", line 182, in search
    return _compile(pattern, flags).search(string)
TypeError: cannot use a string pattern on a bytes-like object

Version-Release number of selected component (if applicable):

$ gpodder --version
gpodder 3.10.0

How reproducible:

Always

Additional info:

Problem has been fixed by https://github.com/gpodder/gpodder/commit/c937184987431427dfcf8ac9bc098ce0ac0a31bb#diff-4d26e4a4f612a0be16ae620044f8dad9

Comment 1 Fedora Update System 2018-05-07 13:56:49 UTC
gpodder-3.10.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-27b38c91e7

Comment 2 Fedora Update System 2018-05-10 01:28:05 UTC
gpodder-3.10.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-27b38c91e7

Comment 3 Fedora Update System 2018-05-11 01:24:42 UTC
gpodder-3.10.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.